Bug 786501 - RFE: Drift UI needs better Template-Definition handling
RFE: Drift UI needs better Template-Definition handling
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.2
All All
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On: 756184
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2012-02-01 10:49 EST by Mike Foley
Modified: 2013-09-01 06:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 756184
Environment:
Last Closed: 2013-09-01 06:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-02-01 10:49:27 EST
+++ This bug was initially created as a clone of Bug #756184 +++  AS REQUESTED ... it is specific to ITEM #3 in the description below.  Items 1 and 2 addressed in BZ 756184

This is a follow-up BZ for bug 756171.  Suggestions 1 and 3 still need
to be implemented. Especially #1. See excerpt below:

"There are a few aspects to the solution, one of which is critical for
an initial release.

First, it should be possible to see the definitions attached to a template 
from the template view. An expandable row would probably work well here.
This will allow the user to see which definitions will be affected by
a template update.

Second (critical), DONE, see bug 756171.

Third, it would be nice if the wizard, when pinning a template, could
provide a summary of the definitions that will be reset (the attached
defs) when the pinning takes place."

--- Additional comment from jshaughn@redhat.com on 2012-01-18 14:50:01 EST ---


Working on the first aspect (of the three above).

--- Additional comment from jshaughn@redhat.com on 2012-01-19 15:52:16 EST ---

master commit 875a2b7d7000ae8ccdb56d55ae89613e0ba010db

Add ability to expand rows in the drift template table.  This gives users
the ability to see which drift definitions will be affected by changes to
a template. Or, to navigate to a derived template.
- Also:
  - add explicit nav link to carousel
  - fix nav issue DriftCarouselView.renderView which was too agressively
    trying to nav to a detailed view


May need a new BZ for item 3 in the description...
Comment 1 Jay Shaughnessy 2012-03-15 16:30:36 EDT
Moving to ON_QA for the first item:

"First, it should be possible to see the definitions attached to a template 
from the template view. An expandable row would probably work well here.
This will allow the user to see which definitions will be affected by
a template update."

The third item is low priority and I'm happy enough leaving it alone. If
requested by someone later then we can add a new BZ.
Comment 2 Heiko W. Rupp 2013-09-01 06:15:34 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.